diff -urN v2.4.9-ac15/include/linux/intermezzo_fs.h foo/include/linux/intermezzo_fs.h
--- v2.4.9-ac15/include/linux/intermezzo_fs.h	Mon Sep 24 21:16:39 2001
+++ foo/include/linux/intermezzo_fs.h	Mon Sep 24 21:54:59 2001
@@ -541,11 +541,11 @@
 #define PRESTO_ALLOC(ptr, cast, size)                                   \
 do {                                                                    \
     if (size <= 4096) {                                                 \
-        ptr = (cast)kmalloc((unsigned long) size, GFP_KERNEL);          \
+        ptr = kmalloc((unsigned long) size, GFP_KERNEL);          \
         CDEBUG(D_MALLOC, "kmalloced: %ld at %p.\n", (long)size, ptr);   \
         presto_kmem_inc(ptr, size);                                     \
     } else {                                                            \
-        ptr = (cast)vmalloc((unsigned long) size);                      \
+        ptr = vmalloc((unsigned long) size);                      \
         CDEBUG(D_MALLOC, "vmalloced: %ld at %p.\n", (long)size, ptr);   \
         presto_vmem_inc(ptr, size);                                     \
     }                                                                   \
